%define anolis_release 1

%undefine _package_note_flags

Name:           ocaml-seq
Version:        0.3.1
Release:        %{anolis_release}%{?dist}
Summary:        Compatibility package for OCaml's standard iterator type
License:        LGPLv2+ with exceptions

URL:            https://github.com/c-cube/seq
Source0:        https://github.com/c-cube/seq/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 1.1.0

%description
Compatibility package for OCaml's standard iterator type starting from 4.07.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n seq-%{version}

%build
dune build %{?_smp_mflags}

%install
dune install --destdir=%{buildroot}

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%files
%license LICENSE
%dir %{_libdir}/ocaml/seq/
%{_libdir}/ocaml/seq/META
%{_libdir}/ocaml/seq/seq.cma
%{_libdir}/ocaml/seq/seq_redef.cmi
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/seq/seq.cmxs
%endif

%files devel
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/seq/seq.a
%{_libdir}/ocaml/seq/seq.cmxa
%{_libdir}/ocaml/seq/seq_redef.cmx
%endif
%{_libdir}/ocaml/seq/seq_redef.mli
%{_libdir}/ocaml/seq/seq_redef.cmt
%{_libdir}/ocaml/seq/seq_redef.cmti
%{_libdir}/ocaml/seq/dune-package
%{_libdir}/ocaml/seq/opam

%files doc
%doc README.md

%changelog
* Thu Mar 23 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.3.1-1
- Init from upstream
